Name:		libvirt-snmp
Version:	0.0.4
Release:	1%{?dist}%{?extra_release}
Summary:	SNMP functionality for libvirt

Group:		Development/Libraries
License:	GPLv2+
URL:		https://libvirt.org
Source0:	https://www.libvirt.org/sources/snmp/libvirt-snmp-%{version}.tar.gz

BuildRequires: net-snmp-perl
BuildRequires: net-snmp
BuildRequires: net-snmp-utils
BuildRequires: net-snmp-devel
BuildRequires: libvirt-devel
BuildRequires: git
BuildRequires: gcc

%description
Provides a way to control libvirt through SNMP protocol.

%prep
%autosetup -S git_am

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{_bindir}/libvirtMib_subagent
%{_datadir}/snmp/mibs/LIBVIRT-MIB.txt
%doc README NEWS ChangeLog AUTHORS
%{_mandir}/man1/libvirtMib_subagent.1*


%changelog
* Thu Oct 25 2018 Michal Privoznik <mprivozn@redhat.com> 0.0.4-1
- Replace placeholder org OID with libvirt OID (BZ: 1603154)
- Fix object OIDs for SNMP traps (BZ: 1624839)
- Send sysUptime in traps (BZ: 1624879)
- Modernize spec file
- Cleaned up some old code and rewritten it to use new Libvirt APIs
- Fixed build with newer net-snmp package
- Some bug fixes

* Fri Sep  7 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.3-1
- various bug fixes and improvements

* Wed Mar 23 2011 Michal Privoznik <mprivozn@redhat.com> 0.0.2-1
- add SNMP trap/notification support

* Fri Mar 11 2011 Michal Privoznik <mprivozn@redhat.com> 0.0.1-3
- remove LIBVIRT-MIB.txt from doc

* Wed Mar  9 2011 Michal Privoznik <mprivozn@redhat.com> 0.0.1-2
- resolve licensing conflicts
- add unified header to sources

* Wed Feb  2 2011 Michal Privoznik <mprivozn@redhat.com> 0.0.1-1
- initial revision
